Safe Haskell | Safe-Inferred
Language | Haskell2010

GADTRecords

Synopsis

- data H1 a b where
  - C1 :: forall a b. H1 a b
  - C2 :: forall a. Ord a => [a] -> H1 a a
  - C3 :: {..} -> H1 Int Int
  - C4 :: forall b. {..} -> H1 Int b

# Documentation

data H1 a b where #

h1

Constructors

C1 :: forall a b. H1 a b |
C2 :: forall a. Ord a => [a] -> H1 a a |
C3 |
Fields :: { field :: Int hello docs } -> H1 Int Int
C4 |
Fields :: forall b. { field2 :: b hello2 docs } -> H1 Int b